lwIP 2.1.2 Lightweight IP stack

Macros
ICMP
lwIP » Options (lwipopts.h) » IPv4

## Macros
#define | LWIP_ICMP 1
#define | ICMP_TTL IP_DEFAULT_TTL
#define | LWIP_BROADCAST_PING 0
#define | LWIP_MULTICAST_PING 0

## Detailed Description

## Macro Definition Documentation

## ◆ ICMP_TTL

#define ICMP_TTL IP_DEFAULT_TTL

ICMP_TTL: Default value for Time-To-Live used by ICMP packets.

## ◆ LWIP_BROADCAST_PING

#define LWIP_BROADCAST_PING 0

LWIP_BROADCAST_PING==1: respond to broadcast pings (default is unicast only)

## ◆ LWIP_ICMP

#define LWIP_ICMP 1

LWIP_ICMP==1: Enable ICMP module inside the IP stack. Be careful, disable that make your product non-compliant to RFC1122

## ◆ LWIP_MULTICAST_PING

#define LWIP_MULTICAST_PING 0

LWIP_MULTICAST_PING==1: respond to multicast pings (default is unicast only)